org.apache.kylin.jdbc.stub

## Class KylinClient

- java.lang.Object
- - org.apache.kylin.jdbc.stub.KylinClient

All Implemented Interfaces:
  RemoteClient

    public class KylinClient
    extends Object
    implements RemoteClient

Author:
  xduo

### Nested Class Summary

Nested Classes
`class` `KylinClient.PreQueryRequest`
`class` `KylinClient.QueryRequest`
`class` `KylinClient.StateParam`

### Constructor Summary

Constructors
Constructor and Description
`KylinClient(KylinConnectionImpl conn)`

### Method Summary

Methods
`void` `connect()` Connect to kylin restful service.
`KylinMetaImpl.MetaProject` `getMetadata(String project)`
`DataSet<Object[]>` `query(net.hydromatic.avatica.AvaticaStatement statement, String sql)` Run query

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinClient

    public KylinClient(KylinConnectionImpl conn)

### Method Detail

#### connect

    public void connect()
                 throws ConnectionException

Description copied from interface: `RemoteClient`
Connect to kylin restful service. ConnectionException will be thrown if authentication failed.

Specified by:
  `connect` in interface `RemoteClient`
Throws:
  `ConnectionException`

#### getMetadata

    public KylinMetaImpl.MetaProject getMetadata(String project)
                                          throws ConnectionException

Specified by:
  `getMetadata` in interface `RemoteClient`
Returns:
Throws:
  `ConnectionException`

#### query

    public DataSet<Object[]> query(net.hydromatic.avatica.AvaticaStatement statement,
                          String sql)
                            throws SQLException

Description copied from interface: `RemoteClient`
Run query

Specified by:
  `query` in interface `RemoteClient`
Returns:
Throws:
  `SQLException`